<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
	  xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	  xmlns:am="http://typo3.org/ns/CodingMs/AddressManager/ViewHelpers"
	  data-namespace-typo3-fluid="true">
<!-- address_manager: Partials/List/Item/Bootstrap4.html [begin] -->

<f:if condition="{useWrapper}">
	<div id="address-{address.uid}" class="address-uid-{address.uid} col-md-3">
</f:if>

<div class="address-list-item card"
	 data-map-latitude="{address.mapLatitude}"
	 data-map-longitude="{address.mapLongitude}"
	 data-map-tooltip="{address.mapTooltip} <b>Add own custom tooltip content!</b>"
	 data-map-link="{address.mapLink}"
	 data-map-marker="{am:variable.get(name: 'settings.list.map.marker.style.{address.mapMarker}')}">

	<div class="address-image card-img-top">
		<f:if condition="{f:count(subject: address.imagesPreviewOnly)}">
			<f:then>
				<f:for each="{address.imagesPreviewOnly}" as="fileReference" iteration="imageIteration">
					<f:if condition="{imageIteration.isFirst}">
						<f:image src="{fileReference.uid}"
								 treatIdAsReference="1"
								 width="{settings.list.image.width}"
								 height="{settings.list.image.height}"
								 alt="{address.name}"
								 title="{address.name}"
								 class="img-fluid" />
					</f:if>
				</f:for>
			</f:then>
			<f:else>
				<f:image src="{f:uri.resource(path:'Images/no-image.png')}"
						 width="{settings.list.image.width}"
						 height="{settings.list.image.height}"
						 alt="{address.name}"
						 title="{address.name}"
						 class="img-fluid" />
			</f:else>
		</f:if>
	</div>

	<div class="card-block">
		<h4 class="card-title">{address.title} {address.name}</h4>
		<p class="card-text address-groups">{address.groupsString}</p>
		<p class="card-text address-organisations">{address.organisationsString}</p>
		<p class="card-text address-positions">{address.positionsString}</p>
		<f:if condition="{address.email}">
			<p class="card-text address-email"><f:link.email email="{address.email}">{address.email}</f:link.email></p>
		</f:if>
		<f:if condition="{settings.useDetailView}">
			<f:link.action action="show" pageUid="{settings.detail.defaultPid}" arguments="{address: address}"
						   controller="Address" class="btn btn-primary">
				<f:translate key="tx_addressmanager_label.show" />
			</f:link.action>
		</f:if>
	</div>
</div>

<f:if condition="{useWrapper}">
	</div>
</f:if>

<!-- address_manager: Partials/List/Item/Bootstrap4.html [end] -->
</html>
